#!/bin/sh
# Activy set Display text
source /etc/conf.d/vdr
/_config/bin/query_con.sh -switch
set -x
[ "$(echo " $PLUGINS " | grep " alcd ")" = "" ] && exit
WAKEUP_FILE=/_config/status/Wakeup
WT=""
/bin/stty 38400 < /dev/ttyS0
printf "\x90\x01" > /dev/ttyS0
printf "\x90\x04" > /dev/ttyS0
printf "\x90\x02" > /dev/ttyS0
LCD_BR=$(grep "alcd.LCDBrightnessOnExit" /etc/vdr/setup.conf | cut -f 2 -d "=")
[ "$LCD_BR" = "" ] && LCD_BR=1
if [ -s $WAKEUP_FILE -a $LCD_BR -gt 0 ] ; then
   LCD_COL=$(printf "%02X" $(((16-$LCD_BR)*16)))
   BREAK_MODE="00"
   NT=$(cat $WAKEUP_FILE | cut -f 1 -d ";")
   WT="$(date -d "1970-01-01 UTC $NT seconds" '+%d.%m.%Y - %R')"
   CH=$(cat $WAKEUP_FILE | cut -f 2 -d ";" |cut -b -2)
   PR=$(cat $WAKEUP_FILE | cut -f 3- -d ";" | cut -b -15)
else
   LCD_COL="FF"
   BREAK_MODE="01"
fi
printf "\xF0\x$LCD_COL" > /dev/ttyS0
if [ "$WT" != "" ] ; then
   printf "\x9A\x02 $WT " > /dev/ttyS0
   printf "\x9A\x03 $CH-$PR " > /dev/ttyS0
fi   
printf "\x9C\x$BREAK_MODE" > /dev/ttyS0